#!/bin/sh 

echo "Mosquitto CID listener is starting!"

source /root/mosquitto-CID.conf

mosquitto_sub -h $SERVER -t $TOPIC -p 8883 --capath /etc/ssl/certs -u $USERNAME -P $PASSWORD | while read RAW_DATA;
do	 
  case "$RAW_DATA" in
    *"SETUID"*) 
	UID="$(echo $A | cut -d':' -f2)"
	echo $(date)' : Replace UID with new one $UID' >> /var/log/charlie.log;
	/bin/sed -i 's/.*TOPIC.*/TOPIC="$UID"/' /root/mosquitto.conf;
	/bin/ash ./restart-moquitto.sh;
    *) echo $(date)' : CID Message received - but not valid' >> /var/log/charlie.log ;;
  esac
done
