#!/bin/sh
source ./checkCharlie.conf

if [ "$cNGINX" == "1" ]; then
	# check nginx and fast cgi
	NGINX=$(ps | grep -c nginx)
	if [ "$NGINX" -lt "2" ]; then
		echo $(date)' : NGINX restart' >> /var/log/charlie.log;
		/etc/init.d/nginx start
	else
		echo $(date)' : NGINX is running' >> /var/log/charlie.log;
	fi
fi 

if [ "$cFCGI" == "1" ]; then
	FCGI=$(ps | grep -c fcgi)
	if [ "$FCGI" -lt "2" ]; then
		echo $(date)' : FAST-CGI restart' >> /var/log/charlie.log;
		/etc/init.d/fcgi start
	else
		echo $(date)' : FAST-CGI is running' >> /var/log/charlie.log;
	fi
fi

if [ "$cMOS" == "1" ]; then
	# check mymosquitto script
	MOS=$(ps | grep -c mosquitto)
	if [ "$MOS" -lt "3" ]; then
		echo $(date)' : mosquitto script restart' >> /var/log/charlie.log;
		/root/mymosquitto.sh &
		/root/mymosquitto-CID.sh &
	else
		echo $(date)' : mosquitto script is running' >> /var/log/charlie.log;
	fi
fi
	
